Bug 204974 - "Unknown Issuer" security key inserted into the computer
"Unknown Issuer" security key inserted into the computer
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
:
Depends On:
Blocks: 181509
  Show dependency treegraph
 
Reported: 2006-09-01 15:44 EDT by Suzanne Hillman
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-12 14:29:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-09-01 15:44:41 EDT
Description of problem:
After logging in with the smartcard, there is a message from esc displayed to
the screen about 'Key Inserted! "Unknown Issuer" Security Key Inserted into the
computer.'

However, if I remove and reinsert the key, it is correctly detected as being
from Veracity, Inc both on removal and insertion.

Version-Release number of selected component (if applicable):
esc-1.0.0-8.fc6
pam_pkcs11-0.5.3-14
coolkey-1.0.1-3

How reproducible:
Always

Steps to Reproduce:
1. Login (with, or without using the smartcard)
2. If you used the smartcard for logging in, it'll be immediate. If you did not,
insert the smartcard.
  
Actual results:
'Key Inserted! "Unknown Issuer" Security Key Inserted into the computer.'
displayed on the screen.

Expected results:
'Key Inserted! "Veracity, Inc" Security Key Inserted into the computer.'

Additional info:
Comment 1 Jack Magne 2006-09-08 19:58:59 EDT
This is due to the fact that when the bubble notification is issued on card
insertion for the first time, ESC is in the process of phoning home for the
Issuer information.

A couple solutions come to mind.

1. Delay the bubble notification until the answer has come back.

2. Put some other string besides "Unknown Issuer" that lets the user know this
information is being obtained. Ex. "Looking Up Issuer..".
Comment 2 Suzanne Hillman 2006-09-11 11:57:14 EDT
I like 2 better, preferably with it being updated (or shown again) once it has
figured out who the Issuer is.
Comment 4 Orla Hegarty 2006-09-14 18:27:53 EDT
All of these bugs are being marked as targeted to be fixed in beta 2. However
only a subset of these bugs will be actual beta blockers. I am marking all of
these bugs a beta 2 target milestones.

Beta Blockers reflect bugs that are critical to this beta 2 release. Flags will
be set as appropriate on a case by case basis for each critical beta blocker. 
Comment 5 Jack Magne 2006-09-22 00:15:09 EDT
This issue is fixed in development. The problem had to do with the following:

1. The Javascript code execution takes place in a single thread called the UI
thread.

2. When a card is inserted I had a function that:
  A. Issued the request to phone home.
     The request to phone home then does an asynchronous http request, thus the
answer comes back later.

  B. The next statement then checked to see if we had the phone home data already.
     This is impossible since we are in the same function call. The answer , no
matter how quick, won't come back until this function exits.

3. The solution is to actually throw up the bubble notifications in the callback
function that accepts the answer from Phone Home.

I got this working locally and appears to look good for all cases.
Will be in the next build.
Comment 6 Jack Magne 2006-09-24 12:56:45 EDT
Issue resolved in Rawhide build esc-1.0.0-15 when available.
Comment 7 Jack Magne 2006-09-24 12:57:06 EDT
Issue resolved in Rawhide build esc-1.0.0-15 when available.
Comment 8 Suzanne Hillman 2006-10-10 13:32:33 EDT
Verified on 1006.2's build.

Note You need to log in before you can comment on or make changes to this bug.